Analyze Document

Analyze a single document by passing a documentId and a list of questions in natural language. If the pages parameter is provided, the AI will only analyze the specified pages. Poll for the results using the GET /job/{jobId} endpoint with the returned jobId.

Body Params
string
required

Unique identifier of the document to be questioned.

questions
array of strings
required

List of questions to be answered.

Questions*
string

Global instructions to provide additional guidelines or context to the AI when answering the questions.

pages
array of integers

List of zero indexed page numbers to analyze. If omitted, all pages are analyzed. For XLS/XLSX files, each number selects a worksheet by its zero indexed position. This parameter is ignored for CSV, TXT, XML, and JSON files, which are always analyzed in full.

Pages
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json